<template>
  <div>
    <CdxButton weight="quiet" aria-label="Open keyboard shortcuts dialog" @click="open = true">
      <CdxIcon :icon="cdxIconSettings" />
    </CdxButton>

    <CdxDialog
      :open="open"
      title="Video settings"
      class="shortcuts-content"
      close-button-label="Close"
      aria-label="Close Dialog"
      @update:open="(newValue) => (open = newValue)"
    >
      <div class="mb-3">
        <p>Delay between recording</p>
        <CdxToggleButtonGroup
          :buttons="beforeStartOptions"
          :model-value="beforeStart"
          @update:model-value="(value) => emit('update-settings', value, 'beforeStart')"
        />
      </div>

      <p>Duration to Record</p>
      <CdxToggleButtonGroup
        :buttons="recordDurationOptions"
        :model-value="recordDuration"
        @update:model-value="(value) => emit('update-settings', value, 'recordDuration')"
      />
    </CdxDialog>
  </div>
</template>

<script setup>
import { defineProps, ref } from 'vue'
import {
  CdxButtonGroup,
  CdxDialog,
  CdxButton,
  CdxIcon,
  CdxToggleButtonGroup,
} from '@wikimedia/codex'
import { cdxIconSettings } from '@wikimedia/codex-icons'

const open = ref(false)

const recordDurationOptions = [
  { value: 2, label: '2' },
  { value: 3, label: '3' },
  { value: 5, label: '5' },
  { value: 8, label: '8' },
  { value: 12, label: '12' },
  { value: 20, label: '20' },
]

const beforeStartOptions = [
  { value: 0, label: '0' },
  { value: 1, label: '1' },
  { value: 2, label: '2' },
  { value: 3, label: '3' },
  { value: 8, label: '8' },
  { value: 5, label: '5' },
  { value: 10, label: '10' },
]

const props = defineProps({
  beforeStart: {
    type: Number,
    required: true,
  },
  recordDuration: {
    type: Number,
    required: true,
  },
})

const emit = defineEmits(['update-settings'])

// const updateBeforeStart = (value) => {
//   emit('update:beforeStart', Number(value));
// };

// const updateRecordDuration = (value) => {
//   emit('update:recordDuration', Number(value));
// };
</script>
